'katello-certs-check' should display a warning messages if server.crt contains CN=shortname
Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: foreman-installer script   

Target version: 2.3.0   

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1659506 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/616,

https://github.com/theforeman/foreman-i

nstaller/pull/622

  

Description

Description of problem:

'katello-certs-check' succeeds if the server cert has CN=shortname.

We recommend Satellite configuration with FQDN and if customer tries to configure custom certs with short-name it creates lot of

issues.

Steps to Reproduce:

1.Gnerate/get certs with satellite's shortname.

2.Perfrom katello-certs-check.

Actual results:

It succeeds.

Expected results:

It should display a warining message.

or

It should fail.

Associated revisions

Revision d215e077 - 11/19/2020 03:41 PM - Eric Helms

Fixes #31326: Error in certs check if using only a shortname

Katello requires an FQDN be used for installation and thus the

same requirement exists for any custom certificates being used.

This adds a check that the CN is not set to a shortname, and/or

if using Subject Alt Name that there is not a single SAN that

is a shortname.

History

#1 - 11/17/2020 09:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/616 added

#2 - 11/19/2020 03:41 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#3 - 11/19/2020 04:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|d215e0776c583fe68e8f23f936c4f8ed440b47f4.

05/20/2024 1/2

https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/d215e0776c583fe68e8f23f936c4f8ed440b47f4


#4 - 11/30/2020 06:30 PM - Ewoud Kohl van Wijngaarden

- Subject changed from 'katello-certs-check' should display a warning messages if server.crt contains CN=shortname

 to 'katello-certs-check' should display a warning messages if server.crt contains CN=shortname

- Category set to foreman-installer script

- Target version set to 2.3.0

- Triaged changed from No to Yes

- Fixed in Releases 2.3.0 added

- Fixed in Releases deleted (2.4.0)

#5 - 11/30/2020 07:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/622 added
